# Scatter Plots (DP\_SCP)

Scatter plots are a type of data visualization that display the relationship between two variables. Each point on the plot represents a pair of values for the two variables being compared. Scatter plots are useful for identifying patterns or trends in data, and for detecting outliers or unusual observations.

To create a scatter plot, you need to specify the x and y values to be plotted. These values can be provided in the form of arrays or data frames. You can also choose to display a grid on the plot by setting the "is\_grid" parameter to true.

## Sample Request

```javascript
{
    "project_id": 1,
    "block_id": ,
    "parent_id": 0,
    "function_code": "DP_SCP",
    "args": {
        "xvalue": "http://cloud.autogonai.s3.amazonaws.com/143ac49a-7bbc-4224-a58e-d6811930b86b.csv",
        "yvalue": "http://cloud.autogonai.s3.amazonaws.com/1a65c19c-b891-4be3-bbfe-ed5c5ec58207.csv",
        "is_grid": true

    }
}
```

## Parameter Details

## Scatter Plots

<mark style="color:green;">`POST`</mark> `https://autogon.ai/api/v1/engine/start`

#### Request Body

| Name                                             | Type   | Description                                                                                           |
| ------------------------------------------------ | ------ | ----------------------------------------------------------------------------------------------------- |
| project\_id<mark style="color:red;">\*</mark>    | int    | current project ID                                                                                    |
| parent\_id<mark style="color:red;">\*</mark>     | int    | parent block ID                                                                                       |
| block\_id<mark style="color:red;">\*</mark>      | int    | current block ID                                                                                      |
| function\_code<mark style="color:red;">\*</mark> | String | block's function code                                                                                 |
| xvalue<mark style="color:red;">\*</mark>         | String | The input data representing the x-axis values. This can be a string representing a URL to a CSV file. |
| args                                             | object | block arguments                                                                                       |
| yvalue<mark style="color:red;">\*</mark>         | String | The input data representing the y-axis values. This can be a string representing a URL to a CSV file. |
| is\_grid                                         | Bool   | Whether to enable grid in the scatter plot. Default is `False.`                                       |

{% tabs %}
{% tab title="200: OK Data Encode Successful" %}

```javascript
{
    "status": "true",
    "message": {
        "id": 3,
        "project": 1,
        "block_id": 7,
        "parent_id": 6,
        "dataset_url": "",
        "x_value_url": "",
        "y_value_url": ""
    }
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Python" %}

```
// Some code
```

{% endtab %}

{% tab title="Node" %}

```
projectId = 1
parentId = 6
blockId = 7

client.array_reshaping(projectId, parentId, blockId, {

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autogon.ai/autogon-engine-studio/data-visualization/scatter-plots-dp_scp.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
